Subject: RE: [mobile-ip] Mipv6 issue #157: Address collision action (was: AD review comments)

From: "Hesham Soliman (EAB)" <[email-masked]>
Date: Sat, 16 Nov 2002 06:41:19 +0100

Hi Jari, 

  > The action *is* too drastic. I don't think anyone is arguing about
  > that. So there is a problem. But I think the question Thomas was
  > raising was whether the problem should be fixed here and only for
  > mobile IP, or in a more general way in SEND or as an update of the
  > ND specifications.
  > 
  > There are a few things which speak in favor of a separate 
  > specification:
  > 
  > - The problem can appear also in non-MIPv6 communications.
  > - A better fix can be specified in SEND
  > - Specification length is reduced

=> It seems like you're assuming that the problem
will only happen in case of DoS attacks. I'm not 
making that assumption, which is why I suggested that
the MN tries a new address _one_ more time, if duplication
persists, then there is probably a DoS attacks. However, 
if there were a "genuine duplication" then the problem
is easily solved. For _this_ case, I see no need to 
do anything in SEND. I don't know why RFC2462 made 
this restriction, but it looks like a bug to me. 

Hesham